Bug 1339267 - Windows 7 installer stuck on qemu-kvm-2.4.1-9.fc23
Summary: Windows 7 installer stuck on qemu-kvm-2.4.1-9.fc23
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1339268 (view as bug list)
Depends On:
Blocks: 1339268
TreeView+ depends on / blocked
 
Reported: 2016-05-24 13:59 UTC by Ladi Prosek
Modified: 2016-05-31 02:51 UTC (History)
11 users (show)

Fixed In Version: qemu-2.4.1-10.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1339268 (view as bug list)
Environment:
Last Closed: 2016-05-31 02:51:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ladi Prosek 2016-05-24 13:59:37 UTC
Description of problem:
There is a regression in the recent qemu-kvm package which prevents Windows 7 guest OS from being installed.

Version-Release number of selected component (if applicable):
qemu-kvm-2.4.1-9.fc23

How reproducible:
100%

Steps to Reproduce:
1. Boot into Windows 7 x86 or x64 installer

Actual results:
Installer is stuck on the "Starting Windows" screen with the animation still going.

Expected results:
Installer makes progress.

Additional info:
blamed on CVE-2016-3710: incorrect bounds checking in vga (bz #1334345)

Comment 1 Cole Robinson 2016-05-26 13:39:07 UTC
*** Bug 1339268 has been marked as a duplicate of this bug. ***

Comment 2 Cole Robinson 2016-05-26 13:39:42 UTC
commit 94ef4f337fb614f18b765a8e0e878a4c23cdedcd
Author: Gerd Hoffmann <kraxel>
Date:   Tue May 17 10:54:54 2016 +0200

    vga: add sr_vbe register set

Comment 3 Fedora Update System 2016-05-26 17:27:12 UTC
qemu-2.4.1-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-07eca37ea0

Comment 4 Shaun Assam 2016-05-27 20:53:00 UTC
The submitted update works for me.  Windows 7 installer passes boot screen and is running normal.

Comment 5 Fedora Update System 2016-05-28 03:26:07 UTC
qemu-2.4.1-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-07eca37ea0

Comment 6 Fedora Update System 2016-05-31 02:50:45 UTC
qemu-2.4.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.